Skip to main content

Get Deposit Records

Get your deposit history with optional filters.

HTTP Request

GET /api/v1/spot/account/deposit-records

Request Parameters

ParameterTypeRequiredDescription
startTimestringYesStart time in milliseconds (Unix timestamp)
endTimestringYesEnd time in milliseconds (Unix timestamp)
coinstringNoCoin symbol filter
orderIdstringNoSpecific order ID to query
idLessThanstringNoGet records with ID less than this value
limitstringNoNumber of records to return

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/spot/account/deposit-records?startTime=1700000000000&endTime=1732000000000&coin=USDT&limit=50" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataarrayArray of deposit records
> orderIdstringDeposit order ID
> tradeIdstringTrade ID
> coinstringCoin symbol
> typestringTransaction type: "deposit"
> sizestringDeposit amount
> statusstringStatus: "pending", "completed", "failed"
> toAddressstringDestination address (your address)
> deststringDestination: "on_chain"
> chainstringBlockchain network
> fromAddressstringSource address
> cTimestringCreation time in milliseconds
> uTimestringLast update time in milliseconds

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"orderId": "123456789",
"tradeId": "987654321",
"coin": "USDT",
"type": "deposit",
"size": "100.00",
"status": "completed",
"toAddress": "0x1234...",
"dest": "on_chain",
"chain": "ETH",
"fromAddress": "0xabc...",
"cTime": "1763459280833",
"uTime": "1763459280900"
}
]
}

Error Codes

CodeMessage
40001Invalid time format
40002Unauthorized
43003Coin not found
50000System error